{inputs}: {
  config,
  lib,
  pkgs,
  ...
}: {
  imports = [
    inputs.lix-module.nixosModules.default
  ];

  nix.settings.experimental-features = [
    "nix-command"
    "flakes"
  ];

  environment.systemPackages = with pkgs; [
    neovim
    git
    tmux
    alejandra
    nix-index
    curl
    wget
    just
  ];

  system.stateVersion = "24.11";

  nixpkgs.config.allowUnfree = true;

  # Caches
  nix.settings = {
    trusted-public-keys = [
      "nix-cache.stranger.systems:DrIF2T1eqAsxWQIz/HvjO7TxtcJwpg0nMAbPfndvvzw="
      "nix-community.cachix.org-1:mB9FSh9qf2dCimDSUo8Zy7bkq5CX+/rkCWyvRCYg3Fs="
    ];
    substituters = [
      "https://nix-cache.stranger.systems"
"https://nix-community.cachix.org"
    ];
  };
  # Remote builds should use subsitutors
  nix.extraOptions = "builders-use-substitutes = true";
}
